Bug 240562 - strptime seg foult while tm not init
Summary: strptime seg foult while tm not init
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-18 14:01 UTC by ivan
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-19 07:59:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 3944 None None None Never

Description ivan 2007-05-18 14:01:29 UTC
thios is the code which is leading to crash
char *blub;
  for(unsigned int i=0; i< 0xFFFFFFFF; i++)
  {
    struct tm *pT;
    pT = (struct tm *)malloc(sizeof(struct tm));
    printf("%d\n", i);
    pT->tm_mon = i;         
    strptime("2007201", "%Y%W%w", pT);
    free(pT);
  }










  
Actual results:


Expected results:


Additional info:

Comment 1 Jakub Jelinek 2007-05-19 07:59:30 UTC
Please try glibc-2.5-13.fc6 in FC6 updates testing or any recentish F7 glibc.



Note You need to log in before you can comment on or make changes to this bug.